### Method

# Ide HeaderBar set_menu_id

#### Declaration

    void
    ide_header_bar_set_menu_id (
      IdeHeaderBar* self,
      const gchar* menu_id
    )

#### Description

Sets the menu-id to display in the window.

Set to `NULL` to hide the workspace menu.

Available since: | 3.32

Sets property | `Ide.HeaderBar:menu-id`

#### Parameters

`menu_id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.